<?php if($source) : ?>
<li class="track" id="track_<?= $source["id"] ?>">

<?php if(!isset($display_name) || $display_name) : ?>
  <h5><a href="<?= $source["url"] ?>"><?= $source["nom"] ?></a></h5>
<?php endif; ?>

  <div class="clear"><!-- --></div>

  <div class="player_progress">
    <div class="loaded"><!-- --></div>
    <div class="position"><!-- --></div>
  </div>

  <div class="licence">
  <?php if($source["licence"] && isset($this->out["licences"]["list"][$source["licence"]])) : ?>
    <a href="<?= $this->out["licences"]["list"][$source["licence"]]["url"] ?>">
      <?= $this->out["licences"]["list"][$source["licence"]]["nom"] ?>
    </a><br />
  <?php endif; ?>
    <?= $source["date_creation"] ?><br />
    <a href="<?= $data->source_xml_url($source["id"]) ?>">xml</a>
  </div>

  <?php if($source["documents"]) : ?>
  <ul class="documents">
  <?php

    foreach($source["documents"] as $id_document => $document) :
    $mp3_url = "";
    if(strtolower(substr($document["url"], -4)) == ".mp3") $mp3_url = $document["url"];

  ?>

    <li>
      <?php if($mp3_url) : ?>
      <script type="text/javascript">tracks["<?= $source["id"]  ?>"] = "<?= $mp3_url ?>";</script>
      <div class="player_controls">
        <a class="play" href="#" onclick="play('<?= $source["id"] ?>'); return false;"><img src="<?= $this->out_file("icons/play.png") ?>" alt="play" /></a>
        <a class="pause" href="#" onclick="pause(); return false;"><img src="<?= $this->out_file("icons/pause.png") ?>" alt="pause" /></a>
        <a class="stop" href="#" onclick="stop(); return false;"><img src="<?= $this->out_file("icons/stop.png") ?>" alt="stop" /></a>
      </div>
      <?php else : ?>
      <div class="no_player"><!-- --></div>
      <?php endif; ?>
      <a href="<?= $document["url"] ?>"><?= $document["nom"]; ?></a>
    </li>

  <?php endforeach; ?>
  </ul>
  <?php endif; ?>

  <div class="clear"><!-- --></div>

</li>
<?php endif; ?>
