<?php

  class pz_sources_groupe extends pz_mod
  {

    var $groupe;
    var $albums;
    var $morceaux;
    var $status;
    var $album_status_id;
    var $morceau_status_id;
    var $licences;

    function validate(&$env)
    { $data = $env->data();
      if(($this->status = $data->source_status()) === false)
      { return "Impossible de lire la liste des status de source";
      }
      foreach($this->status as $id_source_status => $source_status)
      { if($source_status["nom"] == "album") $this->album_status_id = $id_source_status;
        if($source_status["nom"] == "morceau") $this->morceau_status_id = $id_source_status;
        if(isset($this->album_status_id) && isset($this->morceau_status_id)) break;
      }
      if(!isset($this->album_status_id)) return "Type de source inconnu: album";
      if(!isset($this->morceau_status_id)) return "Type de source inconnu: morceau";
      if(($this->licences = $data->licences()) === false)
      { return "Impossible de lire la liste des status des licences";
      }
      if(isset($_GET[$env->param("id")]) && $_GET[$env->param("id")])
      { if(($this->groupe = $data->groupe($_GET[$env->param("id")])) === false)
        { return "Impossible de lire les informations du groupe";
        }
        $select = array("status" => $this->album_status_id);
        $select["id_groupe"] = $this->groupe["id"];
        if(($this->albums = $data->sources($select)) === false) return "impossible de lire la liste des albums";
        $select = array("status" => $this->morceau_status_id);
        $select["id_groupe"] = $this->groupe["id"];
        $select["start"] = isset($_GET[$env->param("start")]) && $_GET[$env->param("start")] ? $_GET[$env->param("start")] : 0;
        if(($this->morceaux = $data->sources($select)) === false) return "impossible de lire la liste des morceaux";
      }
      return true;
    }

    function index(&$env)
    { $data = $env->data();
      if
      ( ( $groupes = $data->groupes
          ( null,
            isset($_GET[$env->param("start")]) ? $_GET[$env->param("start")] : 0
          )
        ) !== false
      )
      { foreach($groupes["list"] as $id_groupe => $groupe)
        { $groupes["list"][$id_groupe]["image"] =
          ( $groupes["list"][$id_groupe]["image"] ?
              $env->path("content")."uploads/".$groupe["id_user"]."/".$groupes["list"][$id_groupe]["image"]
            : ""
          );
        }
        $env->set_out("groupes", $groupes);
      }
      else $env->erreur("Impossible de lire la liste des groupes");
    }

    function view(&$env)
    { $data = $env->data();
      if(isset($this->licences) && $this->licences !== false)
      { $env->set_out("licences", $this->licences);
        if($this->groupe)
        { if($env->set_out("albums", $this->albums))
          { if($env->set_out("morceaux", $this->morceaux))
            { $this->groupe["image"] =
              ( $this->groupe["image"] ?
                  $env->path("content")."uploads/".$this->groupe["id_user"]."/".$this->groupe["image"]
                : ""
              );
              $env->set_out("groupe", $this->groupe);
            }
            else $env->erreur("Impossible de lire la liste des morceaux");
          }
          else $env->erreur("Impossible de lire la liste des albums");
        }
        else $env->erreur("Impossible de lire les informations du groupe");
      }
      else $env->erreur("Impossible de lire la liste des licences");
    }

  }

?>