<?php

  class pz_users_pistes extends pz_mod
  {
    var $groupes;
    var $albums;
    var $morceaux;
    var $piste;
    var $user;
    var $status;
    var $album_status_id;
    var $morceau_status_id;
    var $piste_status_id;

    function validate(&$env)
    { $data = $env->data();
      if(($this->status = $data->source_status()) !== false)
      { foreach($this->status as $id_source_status => $source_status)
        { if($source_status["nom"] == "album") $this->album_status_id = $id_source_status;
          if($source_status["nom"] == "morceau") $this->morceau_status_id = $id_source_status;
          if($source_status["nom"] == "piste") $this->piste_status_id = $id_source_status;
          if(isset($this->album_status_id) && isset($this->morceau_status_id) && isset($this->piste_status_id)) break;
        }
        if(isset($this->album_status_id) && isset($this->morceau_status_id) && isset($this->piste_status_id))
        { if($this->user = $env->user())
          { if(($this->groupes = $data->groupes($this->user["id"])) !== false)
            { $env->set_out("groupes", $this->groupes);
              $this->albums = array();
              $this->morceaux = array();
              if($this->groupes["total"] > 0)
              { foreach($this->groupes["list"] as $id_groupe => $groupe)
                { $this->albums[$id_groupe] = array();
                  $select = array
                  ( "status" => $this->album_status_id,
                    "id_user" => $this->user["id"],
                    "id_groupe" => $id_groupe
                  );
                  if(($albums = $data->sources($select)) !== false)
                  { $this->albums[$id_groupe] = $albums["list"];
                  }
                  else
                  { $this->albums = false;
                    break;
                  }

                  $this->morceaux[$id_groupe] = array();
                  $select = array
                  ( "status" => $this->morceau_status_id,
                    "id_user" => $this->user["id"],
                    "id_groupe" => $id_groupe
                  );
                  if(($morceaux = $data->sources($select)) !== false)
                  { foreach($morceaux["list"] as $id_morceau => $morceau)
                    { if(($compositions = $data->source_compositions(array("id_source" => $id_morceau))) !== false)
                      { if($compositions) foreach($compositions[$id_morceau] as $_id_album) { $morceaux["list"][$id_morceau]["album"] = $_id_album; break; }
                        if(!isset($morceaux["list"][$id_morceau]["album"])) $morceaux["list"][$id_morceau]["album"] = 0;
                      }
                      else
                      { $this->morceaux = false;
                        break;
                      }
                    }
                    if($this->morceaux !== false)
                    { foreach($morceaux["list"] as $id_morceau => $morceau)
                      { if(!isset($this->morceaux[$id_groupe][$morceau["album"]])) $this->morceaux[$id_groupe][$morceau["album"]] = array();
                        $this->morceaux[$id_groupe][$morceau["album"]][$id_morceau] = $morceau;
                      }
                    }
                  }
                  else
                  { $this->morceaux = false;
                    break;
                  }
                  if($this->morceaux === false) break;
                }
              }
              if($this->albums !== false && $this->morceaux !== false)
              { $env->set_out("albums", $this->albums);
                $env->set_out("morceaux", $this->morceaux);
                if($env->etat("action") == "edit" || $env->etat("action") == "del")
                { if(($this->piste = $data->source($_GET[$env->param("id")])) !== false && $this->piste)
                  { if(isset($this->groupes["list"][$this->piste["id_groupe"]]))
                    { $this->piste["is_reference"] = $this->piste["reference"] ? "1" : "0";
                    }
                    else return "Vous n'est pas autoris&eacute; &agrave; modifier ce morceau";
                  }
                  else return "Impossible de lire les informations du morceau";
                }
                if($env->etat("action") == "add" || $env->etat("action") == "edit")
                { if(($this->licences = $data->licences()) !== false)
                  { $env->set_out("licences", $this->licences);
                  }
                  else return "Impossible de lire la liste des licences";
                }
              }
              else return "Impossible de lire la liste des albums";
            }
            else return "Impossible de lire la liste des groupes";
          }
          else return "Vous devez &ecirc;tre identifier pour acc&eacute;der &agrave; cette page";
        }
        else
        { if(!isset($this->album_status_id)) return "Type de source inconnu: album";
          return "Type de source inconnu: morceau";
        }
      }
      else return "Impossible de lire la liste des status de source";
      return true;
    }

    function index(&$env)
    { $data = $env->data();
      $select = array();
      $select["status"] = $this->piste_status_id;
      $select["id_user"] = $this->user["id"];
      if(isset($_GET[$env->param("groupe")]) && $_GET[$env->param("groupe")]) $select["id_groupe"] = $_GET[$env->param("groupe")];
//      if(isset($_GET[$env->param("album")]) && $_GET[$env->param("album")]) $select["id_composition"] = $_GET[$env->param("album")];
      if(isset($_GET[$env->param("morceau")]) && $_GET[$env->param("morceau")]) $select["id_composition"] = $_GET[$env->param("morceau")];
      $select["start"] = isset($_GET[$env->param("start")]) && $_GET[$env->param("start")] ? $_GET[$env->param("start")] : 0;
      if(($pistes = $data->sources($select)) !== false)
      { $env->set_out("pistes", $pistes);
        if($_POST)
        { $OK = true;
          foreach($pistes["list"] as $id_piste => $piste)
          { if(isset($_POST["ordre_".$id_piste]))
            { if
              ( ( $data->set_source
                  ( $piste["id"],
                    $piste["id_groupe"],
                    $piste["nom"],
                    $piste["documents"],
                    $piste["licence"],
                    $piste["reference"],
                    $piste["status"],
                    array
                    ( "date_inscription" => $_POST["date_inscription"],
                      "ordre" => $_POST["ordre_".$id_piste],
                      "description" => $piste["description"]
                    )
                  )
                ) === false
              )
              { $OK = false;
                break;
              }
            }
          }
          if($OK)
          { $get_params = array();
            if(isset($_GET[$env->param("groupe")]) && $_GET[$env->param("groupe")]) $get_params["groupe"] = $_GET[$env->param("groupe")];
            if(isset($_GET[$env->param("morceau")]) && $_GET[$env->param("morceau")]) $get_params["morceau"] = $_GET[$env->param("morceau")];
            $env->redirect
            ( $env->url("users/pistes", $get_params),
              "l'ordre des pistes a &eacute;t&eacute; enregistr&eacute;"
            );
          }
          else $env->erreur("Impossible d'enregistrer l'ordre des pistes");
        }
      }
      else $env->erreur("Impossible de lire la liste des pistes");
    }

    function add(&$env)
    { $data = $env->data();
      if($data->check_user_uploads_dir())
      { $web_path = $env->path("web");
        $_SESSION["upload_dir"] = $web_path.($web_path ? "" : "/").$env->path("content")."uploads/".$this->user["id"];
        if($_POST)
        { $_POST["documents"] = array();
          foreach($_POST as $post_key => $post_value)
          { if(substr($post_key, 0, 13) == "document_nom_")
            { if($id_document = substr($post_key, 13))
              { $_POST["documents"][$id_document] = array
                ( "nom" => $_POST["document_nom_".$id_document],
                  "url" => $_POST["document_url_".$id_document]
                );
              }
            }
          }
          $env->set_out("piste", $_POST);
          $id_source = false;
          if($_POST["is_reference"])
          { if(trim($_POST["reference"]))
            { if
              ( ( $id_source = $data->add_source
                  ( $_POST["id_groupe"],
                    "",
                    "",
                    "",
                    $_POST["reference"],
                    $this->piste_status_id,
                    array
                    ( "date_inscription" => date("Y")."-".date("m")."-".date("d")
                    )
                  )
                ) === false
              ) $env->erreur("Impossible d'ajouter la piste");
            }
            else $env->message("Merci de pr&eacute;ciser l'url du fichier XML");
          }
          else
          { if(trim($_POST["nom"]))
            { if
              ( ( $id_source = $data->add_source
                  ( $_POST["id_groupe"],
                    $_POST["nom"],
                    $_POST["documents"],
                    $_POST["licence"],
                    null,
                    $this->piste_status_id,
                    array
                    ( "date_creation" => $_POST["annee_date_creation"]."-".$_POST["mois_date_creation"]."-".$_POST["jour_date_creation"],
                      "date_inscription" => date("Y")."-".date("m")."-".date("d"),
                      "description" => $_POST["description"]
                    )
                  )
                ) === false
              ) $env->erreur("Impossible d'ajouter la piste");
            }
            else $env->message("merci de pr&eacute;ciser un nom pour la piste");
          }
          if($id_source)
          { if($_POST["morceau"])
            { if($data->set_source_composition($id_source, $_POST["morceau"]))
              { $env->redirect
                ( $env->url("users/pistes"),
                  "la piste a &eacute;t&eacute; ajout&eacute;e"
                );
              }
              else $env->erreur("La piste a &eacute;t&eacute; ajout&eacute; mais impossible de l'associer &agrave; ce morceau");
            }
            else $env->redirect
            ( $env->url("users/morceaux"),
              "la piste a &eacute;t&eacute; ajout&eacute;e"
            );
          }
        }
      }
      else $env->erreur("Impossible de creer le repertoire utilisateur");
    }

    function edit(&$env)
    { $data = $env->data();
      if($data->check_user_uploads_dir())
      { $web_path = $env->path("web");
        $_SESSION["upload_dir"] = $web_path.($web_path ? "" : "/").$env->path("content")."uploads/".$this->user["id"];
        $id_source = $_GET[$env->param("id")];
        if($env->set_out("piste", $this->piste))
        { if(($compositions = $data->source_compositions(array("id_source" => $id_source))) !== false)
          { if($compositions) foreach($compositions[$id_source] as $id_morceau) { $this->piste["morceau"] = $id_morceau; break; }
            $env->set_out("piste", $this->piste);
            if($_POST)
            { $_POST["documents"] = array();
              foreach($_POST as $post_key => $post_value)
              { if(substr($post_key, 0, 13) == "document_nom_")
                { if($id_document = substr($post_key, 13))
                  { $_POST["documents"][$id_document] = array
                    ( "nom" => $_POST["document_nom_".$id_document],
                      "url" => $_POST["document_url_".$id_document]
                    );
                  }
                }
              }
              $env->set_out("piste", $_POST);
              if($_POST["is_reference"])
              { if(trim($_POST["reference"]))
                { if
                  ( ( $data->set_source
                      ( $id_source,
                        $_POST["id_groupe"],
                        "",
                        "",
                        "",
                        $_POST["reference"],
                        $this->piste_status_id,
                        array
                        ( "date_inscription" => $_POST["date_inscription"],
                          "ordre" => isset($this->piste["ordre"]) ? $this->piste["ordre"] : 0
                        )
                      )
                    ) === false
                  ) $env->erreur("Impossible de modifier la piste");
                }
                else $env->message("Merci de pr&eacute;ciser l'url du fichier XML");
              }
              else
              { if(trim($_POST["nom"]))
                { if
                  ( ( $data->set_source
                      ( $id_source,
                        $_POST["id_groupe"],
                        $_POST["nom"],
                        $_POST["documents"],
                        $_POST["licence"],
                        null,
                        $this->piste_status_id,
                        array
                        ( "date_creation" => $_POST["annee_date_creation"]."-".$_POST["mois_date_creation"]."-".$_POST["jour_date_creation"],
                          "date_inscription" => $_POST["date_inscription"],
                          "description" => $_POST["description"],
                          "ordre" => isset($this->piste["ordre"]) ? $this->piste["ordre"] : 0
                        )
                      )
                    ) === false
                  ) $env->erreur("Impossible de modifier la piste");
                }
                else $env->message("merci de pr&eacute;ciser un nom pour la piste");
              }
              if(!$env->out("messages") && !$env->out("erreur"))
              { if($data->del_source_compositions(array("id_source" => $id_source)))
                { if($_POST["morceau"])
                  { if($data->set_source_composition($id_source, $_POST["morceau"]))
                    { $env->redirect
                      ( $env->url("users/pistes"),
                        "la piste a &eacute;t&eacute; modifi&eacute;e"
                      );
                    }
                    else $env->erreur("La piste a &eacute;t&eacute; modifi&eacute;e mais impossible de l'associer &agrave; ce morceau");
                  }
                  else $env->redirect
                  ( $env->url("users/pistes"),
                    "la piste a &eacute;t&eacute; modifi&eacute;e"
                  );
                }
                else $env->erreur("La modifi a &eacute;t&eacute; modifi&eacute;e mais impossible de mettre &agrave; jour le morceau associ&eacute;");
              }
            }
          }
          else return "Impossible de lire les informations de la piste";
        }
        else $env->erreur("Impossible de lire la liste des compositions");
      }
      else $env->erreur("Impossible de creer le repertoire utilisateur");
    }

    function del(&$env)
    { $data = $env->data();
      if($data->del_source($this->piste["id"]))
      { $env->redirect
        ( $env->url("users/pistes"),
          "la piste a &eacute;t&eacute; supprim&eacute;e"
        );
      }
      else $env->erreur("Impossible de supprimer la piste");
    }

  }

?>