<h2>Configuration</h2>

<form name="config_form" action="<?= $this->url("admin/config") ?>" method="post">
  <ul class="form">
    <li>
      <label for="site_name">nom du site</label>
      <p>
        <input type="text" name="site_name" id="site_name" value="<?= $this->out["config"]["site_name"] ?>" />
      </p>
    </li>
    <li>
      <label for="description">description</label>
      <p>
        <textarea cols="50" rows="10" name="description" id="description"><?= $this->out["config"]["description"] ?></textarea>
      </p>
    </li>
    <li>
      <label for="max_list">taille maximum des listes</label>
      <p>
        <span>nombre d'&eacute;l&eacute;ments &agrave; afficher dans une liste avant de paginer :</span>
        <input type="text" name="max_list" id="max_list" value="<?= $this->out["config"]["max_list"] ?>" />
      </p>
    </li>
    <li>
      <label for="out">dossier du template</label>
      <p>
        <span>affichage du site :</span>

<?php if($this->out["out_pathes"]) : ?>
        <select name="out" id="out">
<?php foreach($this->out["out_pathes"] as $out_path) : ?>
          <option value="<?= $out_path ?>"<?= $this->out["config"]["out"] == $out_path."/" ? " selected=\"selected\"" : "" ?>><?= $out_path ?></option>
<?php endforeach; ?>
        </select>
<?php else : ?>
        <strong class="warn">Aucun dossier d'affichage ! ... ?</strong>
<?php endif; ?>

      </p>
    </li>
<?php if($this->out["groupes"]["list"]) : ?>
    <li>
      <label for="start_action">Accueil du site</label>
      <p>
        <select name="start_action" id="start_action" onchange="select_start_action(this.options[this.selectedIndex].value)">
          <option value="sources/groupe"<?= "sources/groupe" == $this->out["config"]["start_action"] ? " selected" : "" ?>>Liste des groupes</option>
          <option value="sources/groupe/view"<?= "sources/groupe/view" == $this->out["config"]["start_action"] ? " selected" : "" ?>>Un groupe</option>
<?php if($this->out["albums"]) : ?>
          <option value="sources/album/view"<?= "sources/album/view" == $this->out["config"]["start_action"] ? " selected" : "" ?>>Un album</option>
<?php endif; ?>
        </select>
        <select name="groupe_param" id="groupe_param"<?php if($this->out["config"]["start_action"] != "sources/groupe/view") : ?> style="display:none;"<?php endif; ?>>
        <?php foreach($this->out["groupes"]["list"] as $id_groupe => $groupe) : ?>
          <option value="<?= $id_groupe ?>"<?= $this->out["config"]["start_action_params"]["id"] == $id_groupe ? " selected=\"selected\"" : "" ?>><?= $groupe["nom"] ?></option>
        <?php endforeach; ?>
        </select>
<?php if($this->out["albums"]) : ?>
        <select name="album_param" id="album_param"<?php if($this->out["config"]["start_action"] != "sources/album/view") : ?> style="display:none;"<?php endif; ?>>
        <?php foreach($this->out["albums"]["list"] as $id_album => $album) : ?>
          <option value="<?= $id_album ?>"<?= $this->out["config"]["start_action_params"]["album"] == $id_album ? " selected=\"selected\"" : "" ?>><?= $album["nom"] ?></option>
        <?php endforeach; ?>
        </select>
<?php endif; ?>
      </p>
<?php endif; ?>
    </li>
    <li class="buttons">
      <input type="submit" value="Enregistrer" />
    </li>
  </ul>
</form>
