<?php require $this->out_file("views/tinymce.init.js.php"); ?>

<h2>Modifier un groupe</h2>

<ul class="admin">
  <li><a href="<?= $this->url("users/groupes") ?>">Retour &agrave; la liste des groupes</a></li>
</ul>

<form name="groupe_form" action="<?= $this->url("users/groupes/edit", array("id" => $_GET[$this->param("id")])) ?>" method="post" enctype="multipart/form-data">
  <ul class="form">
    <li>
      <label for="nom">nom</label>
      <input type="text" name="nom" id="nom" value="<?= $this->out["groupe"]["nom"] ?>" />
    </li>
    <li>
      <label for="image">logo</label>
      <p>
        <?php if($this->out["groupe"]["image"]) : ?>
        <img src="<?= $this->out["groupe"]["image"] ?>" /><br /><br />
        <input type="checkbox" name="del_image" /> effacer le logo<br /><br />
        <?php endif; ?>
        <input type="file" name="image" />
      </p>
    </li>
    <li>
      <label for="description">description</label>
    </li>
    <li>
      <textarea class="tinymce" cols="50" rows="10" name="description" id="description"><?= $this->out["groupe"]["description"] ?></textarea>
    </li>
    <li class="buttons">
      <input type="submit" value="Enregistrer" />
    </li>
  </ul>
</form>
